> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Node Deployment

> Admin-only. Provisions a new Node for the caller's company with read/write auth.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /nodes
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /nodes:
    post:
      tags:
        - Node Deployments
      summary: Create a Node Deployment
      description: >-
        Admin-only. Provisions a new Node for the caller's company with
        read/write auth.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/nodes.PartialNodeDeployment'
        description: Node deployment definition
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: deployment created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid input or duplicate name
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: caller not an admin
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error while creating node
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    nodes.PartialNodeDeployment:
      properties:
        contact:
          type: string
        description:
          type: string
        discoverable:
          type: boolean
        name:
          type: string
        read_auth:
          type: boolean
        write_auth:
          type: boolean
      type: object
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````